applications/patient_registration/urls.py
from django.urls import path

from .views.patient_registration_view import PatientRegistrationCreate, PatientRegistrationDetails, PatientRegistrationList, PatientRegistrationListJson, PatientRegistrationUpdate, PatientRegistrationDelete # call the view classes here

app_name = "patients"
urlpatterns = [
    path('register/', PatientRegistrationCreate.as_view(), name='register'),
    path('update/', PatientRegistrationUpdate.as_view(), name='update'),
    path('details/', PatientRegistrationDetails.as_view(), name='details'),
    path('list/', PatientRegistrationList.as_view(), name='list'),
    path('datalist/', PatientRegistrationListJson.as_view(), name='datalist'),
    path('delete/', PatientRegistrationDelete.as_view(), name='delete'),
]

applications/users/urls.py
from django.contrib import admin
from django.urls import path, include
from .views.users_view import UserLoginView, UserLogoutView, UserDashboardView, UserPasswordUpdate, UserProfileDetails, UserProfileUpdate


app_name = "users"

urlpatterns = [
    path('', UserLoginView.as_view(),name='login'),
    path('logout/', UserLogoutView.as_view(), name='logout'),
    path('dashboard/', UserDashboardView.as_view(), name='dashboard'),
    path('password/', UserPasswordUpdate.as_view(), name='password'),
    path('profile/', UserProfileDetails.as_view(), name='profile'),
    path('profile/edit/', UserProfileUpdate.as_view(), name='update'),
]

pathotrack/urls.py
from django.contrib import admin
from django.urls import include,path
import tinymce.urls
from django.conf.urls.static import static # new
from . import settings

 

urlpatterns = [
    path('admin/', admin.site.urls),
    path('patients/', include('applications.patient_registration.urls', namespace='patients')), #every app should be added as `applications.<app name>.urls`
    path('users/', include('applications.users.urls', namespace='users')), 
    path('', include('applications.users.urls', namespace='users')), 
    path('reports/general/', include('applications.general_report.urls', namespace='general-reports')),
    path('reports/cap/', include('applications.cap_report.urls', namespace='cap-reports')),
    path('reports/consolidated/', include('applications.consolidated_report.urls', namespace='consolidated-reports')),
    path('tinymce/', include('tinymce.urls')),
]


if settings.DEBUG: # new
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

applications/users/views/users_view.py
from django.contrib.auth.views import LoginView, LogoutView, PasswordChangeView, TemplateView
from django.views.generic import DetailView, ListView, UpdateView
from django.shortcuts import redirect, get_object_or_404
from django.http import HttpResponseForbidden
from django.contrib.auth.models import User
from django.urls import reverse_lazy
from django.contrib.auth.mixins import LoginRequiredMixin
from applications.general_report.models.start_diagnosis_model import StartDiagnosis
from applications.patient_registration.models.patient_registration_model import PatientRegistration
from django.db.models import Q
from utils.mixins import SessionManagementMixin
from datetime import date, timedelta

class UserLoginView(SessionManagementMixin, LoginView):
    template_name = 'user_login.html'
    redirect_authenticated_user=True

class UserLogoutView(SessionManagementMixin, LoginRequiredMixin, LogoutView):
    template_name = 'user_logout.html'

class UserPasswordUpdate(SessionManagementMixin, LoginRequiredMixin, PasswordChangeView):
    template_name='user_password.html'
    success_url = reverse_lazy('users:profile')


class UserDashboardView(SessionManagementMixin, LoginRequiredMixin, ListView):
    model = StartDiagnosis
    template_name = 'user_dashboard.html'
    paginate_by = 10  # if pagination is desired
    '''
    need to replicate the code from consolidated_report list view with hints patient_registration_list
    '''

    def get_context_data(self, **kwargs): # appending report lists to patient
        last_week = date.today()-timedelta(days=7)
        context = super().get_context_data(**kwargs)
        context['wip_reports'] = self.model.objects.order_by('patient_enter_date').reverse().values('patient_id_id', 'patient_id__patient_name', 'pathology_id', 'patient_id__patient_phone', 'report_type__value', 'patient_enter_date', 'patient_sample', 'acc_no').filter( Q(report_status = 'wip') | Q(report_status = 'draft') )
        context["wip_length"] = len(context['wip_reports']);
        context['reports'] = self.model.objects.order_by('patient_enter_date').reverse().values('patient_id_id', 'patient_id__patient_name', 'pathology_id','patient_id__patient_phone', 'report_type__value', 'patient_enter_date', 'patient_sample', 'acc_no').filter(patient_exit_date__gte=last_week)
        context["recent_length"] = len(context['reports']);
        return context


    def post(self, request):
        submit_stat = self.request.POST.get("submit")
        acc_no = self.request.POST.get("acc_no")
        patient_id = self.request.POST.get("patient_id")

        self.request.session['acc_no'] = acc_no
        self.request.session['patient_id'] = patient_id

        if(submit_stat == "view"):
            return redirect('consolidated-reports:details')
        if(submit_stat == "edit"):
            return redirect('consolidated-reports:edit')
        if(submit_stat == "print"):
            return redirect('consolidated-reports:print')

        return HttpResponseForbidden() # improve this later by adding invalid request template[FIX_ME]



class UserProfileDetails(SessionManagementMixin, LoginRequiredMixin, DetailView):
    model = User
    context_object_name = 'user'
    template_name = 'user_profile.html'

    def get_object(self): # to get object with pk with patient id
        user_id = self.request.user.id
        return get_object_or_404(self.model, pk=user_id)

    def post(self, request):
        if(request.POST.get("submit") == "dashboard"):
            return redirect('users:dashboard')
        if(request.POST.get("submit") == "password"):
            return redirect('users:password')
        if(request.POST.get("submit") == "edit"):
            return redirect('users:update')



class UserProfileUpdate(SessionManagementMixin, LoginRequiredMixin, UpdateView):
    model = User
    template_name = 'user_profile_update.html'
    fields = ["username","first_name","last_name","email"]

    def get_object(self): # to get object with pk with patient id
        user_id = self.request.user.id
        return get_object_or_404(self.model, pk=user_id)

    def form_valid(self, form):
        form.save()
        return redirect('users:profile')

applications/users/templates/user_dashboard.html
{% extends 'pathotrack/layout/base.html' %}

{% block content %}

<div class="page-header">
    <div class="row align-items-center">
        <div class="col-auto">
            <!-- Page pre-title -->
            <div class="page-pretitle">
                Overview
            </div>
            <h2 class="page-title">
                Dashboard
            </h2>
        </div>
        <!-- Page title actions -->
        <div class="col-auto ml-auto d-print-none">
            <a href="{% url 'patients:register' %}" class="btn btn-primary ml-3 d-none d-sm-inline-block">
                <svg xmlns="http://www.w3.org/2000/svg" class="icon" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z"/><line x1="12" y1="5" x2="12" y2="19" /><line x1="5" y1="12" x2="19" y2="12" /></svg>
                Add New Patient
            </a>
        </div>
    </div>
</div>

<div class="row row-deck row-cards">
    <div class="col-md-4 col-lg-4">
        <div class="card card-sm">
            <a id="dashcard1" href="#">
                <div class="card-body d-flex align-items-center">
                    <span class="bg-green text-white stamp mr-3"><svg xmlns="http://www.w3.org/2000/svg" class="icon" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z"/><path d="M12 20l-7 -7a4 4 0 0 1 6.5 -6a.9 .9 0 0 0 1 0a4 4 0 0 1 6.5 6l-7 7" /></svg>
                    </span>
                    <div class="mr-3 lh-sm">
                        <div class="strong">
                            Recent Reports
                        </div>
                        <div class="text-muted">{{ recent_length }} new reports</div>
                    </div>
                    <div class="ml-auto">
                        <div class="chart-sparkline" id="sparkline-80"></div>
                    </div>
                </div>
            </a>
        </div>
    </div>

    <div class="col-md-4 col-lg-4">
        <div class="card card-sm">
            <a id="dashcard2" href="#">
                <div class="card-body d-flex align-items-center">
                    <span class="bg-red text-white stamp mr-3"><svg xmlns="http://www.w3.org/2000/svg" class="icon" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z"/><path d="M12 20l-7 -7a4 4 0 0 1 6.5 -6a.9 .9 0 0 0 1 0a4 4 0 0 1 6.5 6l-7 7" /></svg>
                    </span>
                    <div class="mr-3 lh-sm">
                        <div class="strong">
                            Unfinished Reports
                        </div>
                        <div class="text-muted">{{ wip_length }} unifished reports</div>
                    </div>
                    <div class="ml-auto">
                        <div class="chart-sparkline" id="sparkline-80"></div>
                    </div>
                </div>
            </a>
        </div>
    </div>

    <div class="col-md-4 col-lg-4">
        <div class="card card-sm">
            <a href="{% url 'users:profile' %}">
                <div class="card-body d-flex align-items-center">
                    <span class="bg-blue text-white stamp mr-3"><svg xmlns="http://www.w3.org/2000/svg" class="icon" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z"/><circle cx="12" cy="7" r="4" /><path d="M5.5 21v-2a4 4 0 0 1 4 -4h5a4 4 0 0 1 4 4v2" /></svg></span>
                    <div class="mr-3 lh-sm">
                        <div class="strong">
                            Welcome {{ request.user }}
                        </div>
                        <div class="text-muted">User Profile</div>
                    </div>
                    <div class="ml-auto">
                        <div class="chart-sparkline" id="sparkline-80"></div>
                    </div>
                </div>
            </a>
        </div>
    </div>
</div>



<div id="dashbox1" class="box">
    <div class="card">
        <div class="card-header">
            <span class="text-right">
                <h3 class="card-title">Recent Reports</h3>
            </span>
        </div>
        <div class="table-responsive">
            <table class="table table-vcenter card-table">
                <thead>
                    <tr>
                        <th>Sl No</th>
                        <th>Name</th>
                        <th>Pathology ID</th>
                        <th>Entry Date</th>
                        <th>Sample</th>
                        <th>Phone No</th>
                        <th>Actions</th>
                    </tr>
                </thead>

                <tbody>
                    {% for report in reports %}
                    <tr>
                        <td>{{ forloop.counter }}</td>
                        <td>{{ report.patient_id__patient_name | capfirst }}</td>
                        <td>{{ report.pathology_id | capfirst}}</td>
                        <td>{{ report.patient_enter_date }}</td>
                        <td>{{ report.patient_sample | capfirst }}</td>
                        <td>{{ report.patient_id__patient_phone }}</td>

                        <td width="240">
                          <form method="POST">
                            {% csrf_token %}
                            <input type="hidden" name="acc_no" value={{ report.acc_no }}>
                            <input type="hidden" name="patient_id" value={{ report.patient_id_id }}>
                            <button class="btn btn-sm btn-success" type="submit" name="submit" value="view">
                              <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-eye" width="44" height="44" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round">
                                        <path stroke="none" d="M0 0h24v24H0z"/>
                                        <circle cx="12" cy="12" r="2" />
                                        <path d="M2 12l1.5 2a11 11 0 0 0 17 0l1.5 -2" />
                                        <path d="M2 12l1.5 -2a11 11 0 0 1 17 0l1.5 2" />
                                    </svg>
                                    View
                                </button>

                                <!--
                                     <button class="btn btn-sm btn-warning" type="submit" name="submit" value="edit">
                                     <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-edit" width="44" height="44" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round">
                                     <path stroke="none" d="M0 0h24v24H0z"/>
                                     <path d="M9 7 h-3a2 2 0 0 0 -2 2v9a2 2 0 0 0 2 2h9a2 2 0 0 0 2 -2v-3" />
                                     <path d="M9 15h3l8.5 -8.5a1.5 1.5 0 0 0 -3 -3l-8.5 8.5v3" />
                                     <line x1="16" y1="5" x2="19" y2="8" />
                                     </svg>
                                     Edit
                                     </button>

                                     <button class="btn btn-sm btn-secondary" type="submit" name="submit" value="delete">
                                     <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-md" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z"></path><path d="M17 17h2a2 2 0 0 0 2 -2v-4a2 2 0 0 0 -2 -2h-14a2 2 0 0 0 -2 2v4a2 2 0 0 0 2 2h2"></path><path d="M17 9v-4a2 2 0 0 0 -2 -2h-6a2 2 0 0 0 -2 2v4"></path><rect x="7" y="13" width="10" height="8" rx="2"></rect></svg>
                                     Print
                                     </button>
                                -->

                            </form>
                        </td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </div>
</div>

<div id="dashbox2" class="box" style="display:none">
    <div class="card">
        <div class="card-header">
            <span class="text-right">
                <h3 class="card-title">Unfinished Reports</h3>
            </span>
        </div>
        <div class="table-responsive">
            <table class="table table-vcenter card-table">
                <thead>
                    <tr>
                        <th>Sl No</th>
                        <th>Name</th>
                        <th>Pathology ID</th>
                        <th>Entry Date</th>
                        <th>Sample</th>
                        <th>Phone No</th>
                        <th>Actions</th>
                    </tr>
                </thead>

                <tbody>
                    {% for wip_report in wip_reports %}
                    <tr>
                        <td>{{ forloop.counter }}</td>
                        <td>{{ wip_report.patient_id__patient_name | capfirst }}</td>
                        <td>{{ wip_report.pathology_id | capfirst}}</td>
                        <td>{{ wip_report.patient_enter_date }}</td>
                        <td>{{ wip_report.patient_sample | capfirst }}</td>
                        <td>{{ wip_report.patient_id__patient_phone }}</td>

                        <td width="240">
                          <form method="POST">
                            {% csrf_token %}
                            <input type="hidden" name="acc_no" value={{ wip_report.acc_no }}>
                            <input type="hidden" name="patient_id" value={{ wip_report.patient_id_id }}>
                            <button class="btn btn-sm btn-success" type="submit" name="submit" value="view">
                                    <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-eye" width="44" height="44" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round">
                                        <path stroke="none" d="M0 0h24v24H0z"/>
                                        <circle cx="12" cy="12" r="2" />
                                        <path d="M2 12l1.5 2a11 11 0 0 0 17 0l1.5 -2" />
                                        <path d="M2 12l1.5 -2a11 11 0 0 1 17 0l1.5 2" />
                                    </svg>
                                    View
                                </button>

                                <!--
                                     <button class="btn btn-sm btn-warning" type="submit" name="submit" value="edit">
                                     <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-edit" width="44" height="44" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round">
                                     <path stroke="none" d="M0 0h24v24H0z"/>
                                     <path d="M9 7 h-3a2 2 0 0 0 -2 2v9a2 2 0 0 0 2 2h9a2 2 0 0 0 2 -2v-3" />
                                     <path d="M9 15h3l8.5 -8.5a1.5 1.5 0 0 0 -3 -3l-8.5 8.5v3" />
                                     <line x1="16" y1="5" x2="19" y2="8" />
                                     </svg>
                                     Edit
                                     </button>

                                     <button class="btn btn-sm btn-secondary" type="submit" name="submit" value="delete">
                                     <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-md" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z"></path><path d="M17 17h2a2 2 0 0 0 2 -2v-4a2 2 0 0 0 -2 -2h-14a2 2 0 0 0 -2 2v4a2 2 0 0 0 2 2h2"></path><path d="M17 9v-4a2 2 0 0 0 -2 -2h-6a2 2 0 0 0 -2 2v4"></path><rect x="7" y="13" width="10" height="8" rx="2"></rect></svg>
                                     Print
                                     </button>
                                -->
                            </form>
                        </td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </div>
</div>


<script>
 $('#dashcard1').click(function(){
     $("#dashbox2").hide();
     $("#dashbox1").show();
 });
 $('#dashcard2').click(function(){
     $("#dashbox1").hide();
     $("#dashbox2").show();
 });
</script>

        {% endblock content %}

applications/users/templates/user_login.html
{% extends 'pathotrack/layout/base.html' %}
{% load widget_tweaks %}

{% block top-menu %}{% endblock top-menu %}

{% block content %}

<div class="flex-fill d-flex flex-column justify-content-center">
    <div class="container-tight py-6">
        <div class="text-center mb-4">
            <img src="./static/logo.svg" height="36" alt="">
        </div>
        <form class="card card-md" action="." method="POST">
            {% csrf_token %}
            <input type="hidden" name="next" value="{{ next }}" />
            <div class="card-body">
                <h2 class="mb-5 text-center">Login to your account</h2>
                {% for field in form %}
                {{ field.label_tag }}
                <div class="input-group mb-3">
                    {{ field|add_class:"form-control" }}
                </div>
                {% endfor %}

                <div class="form-footer">
                    <button type="submit" value="Sign In" class="btn btn-primary btn-block">Sign in</button>
                </div>
            </div>
    </div>

      </div>
        </form>
      </div>
    <script>
     document.body.style.display = "block"
    </script>
    {% endblock content %}

applications/users/templates/user_logout.html
{% extends 'pathotrack/layout/base.html' %}
{% load widget_tweaks %}

{% block top-menu %}{% endblock top-menu %}

{% block content %}

<div class="flex-fill d-flex flex-column justify-content-center">
    <div class="container-tight py-6">
        <div class="text-center mb-4">
            <img src="./static/logo.svg" height="36" alt="">
        </div>
            <input type="hidden" name="next" value="{{ next }}" />
            <div class="card-body">
                <h2 class="mb-5 text-center">You have been logged out.</h2>
                <div class="form-footer">
                    <a href="{% url 'users:login' %}"><button type="submit" value="Sign In" class="btn btn-primary btn-block">Sign in</button></a>
                </div>
            </div>
    </div>

      </div>
      </div>
    <script>
     document.body.style.display = "block"
    </script>
    {% endblock content %}

applications/users/templates/user_password.html
{% extends 'pathotrack/layout/base.html' %}
{% load widget_tweaks %}
{% block top-menu %}{% endblock top-menu %}

{% block content %}

<div class="row">
    <div class="col-12">
        <form method="post" class="card">
            {% csrf_token %}
            <div class="card-header">
                <h4 class="card-title">Patient Registration</h4>
            </div>
            <div class="card-body">
                {% for field in form %}
                <div class="row">
                    <div class="form-group col-md-6 mb-4">
                            {{ field.label_tag }}
                        </div>
                        <div class="form-group col-md-6 mb-4">
                            {{ field|add_class:"form-control" }}
                        </div>
                </div>
                
                {% endfor %}
            </div>
           
    <div class="card-footer">

        <span class="d-flex">
            <a href="{% url 'users:profile' %}">
                <button class="btn btn-secondary m-1" type="button" name="submit" >
                <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-arrow-left-circle" width="44" height="44" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round">
                    <path stroke="none" d="M0 0h24v24H0z"/>
                    <circle cx="12" cy="12" r="9" />
                    <line x1="8" y1="12" x2="16" y2="12" />
                    <line x1="8" y1="12" x2="12" y2="16" />
                    <line x1="8" y1="12" x2="12" y2="8" />
                </svg>
                Back
            </button>
            </a>
            <button class="btn btn-primary m-1 ml-auto" type="submit" name="submit" value="password">
                <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-md" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z"></path><circle cx="8" cy="15" r="4"></circle><line x1="10.85" y1="12.15" x2="19" y2="4"></line><line x1="18" y1="5" x2="20" y2="7"></line><line x1="15" y1="8" x2="17" y2="10"></line></svg>
                <path stroke="none" d="M0 0h24v24H0z"/>
                <line x1="4" y1="7" x2="20" y2="7" />
                <line x1="10" y1="11" x2="10" y2="17" />
                <line x1="14" y1="11" x2="14" y2="17" />
                <path d="M5 7l1 12a2 2 0 0 0 2 2h8a2 2 0 0 0 2 -2l1 -12" />
                <path d="M9 7v-3a1 1 0 0 1 1 -1h4a1 1 0 0 1 1 1v3" />
                </svg>
                Update Password
                    </button>

        </span>
    </div>
        </form>
    </div>

</div>
</div>

{% endblock content %}

applications/users/templates/user_profile.html
{% extends 'pathotrack/layout/base.html' %}

{% block top-menu %}{% endblock top-menu %}

{% block content %}

<div class="box">
  <div class="card">
    <div class="card-header">
      <h3 class="card-title">User Details</h3>
    </div>

    <div class="table-responsive">
      <table class="table table-striped table-vcenter card-table">
          <tbody>
              <tr>
                  <th socpe="row">
                      Username:
                  </th>
                  <td>
                      {{ user.username }}
                  </td>
              </tr>
              <tr>
                  <th socpe="row">
                      First Name:
                  </th>
                  <td>
                      {{ user.first_name }}
                  </td>
              </tr>
              <tr>
                  <th socpe="row">
                      Last Name:
                  </th>
                  <td>
                      {{ user.last_name }}
                  </td>
              </tr>
              <tr>
                  <th socpe="row">
                      Email:
                  </th>
                  <td>
                      {{ user.email }}
                  </td>
              </tr>
              <tr>
                  <th socpe="row">
                      Last Login:
                  </th>
                  <td>
                      {{ user.last_login }}
                  </td>
              </tr>
          </tbody>
      </table>
    </div>

    <div class="card-footer">
      <form method="POST">
        {% csrf_token %}

        <span class="d-flex">
          <button class="btn btn-secondary m-1" type="submit" name="submit" value="dashboard">
            <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-arrow-left-circle" width="44" height="44" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round">
              <path stroke="none" d="M0 0h24v24H0z"/>
              <circle cx="12" cy="12" r="9" />
              <line x1="8" y1="12" x2="16" y2="12" />
              <line x1="8" y1="12" x2="12" y2="16" />
              <line x1="8" y1="12" x2="12" y2="8" />
            </svg>
            Back
          </button>

          <button class="btn btn-primary m-1 ml-auto" type="submit" name="submit" value="password">
              <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-md" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z"></path><circle cx="8" cy="15" r="4"></circle><line x1="10.85" y1="12.15" x2="19" y2="4"></line><line x1="18" y1="5" x2="20" y2="7"></line><line x1="15" y1="8" x2="17" y2="10"></line></svg>
              <path stroke="none" d="M0 0h24v24H0z"/>
              <line x1="4" y1="7" x2="20" y2="7" />
              <line x1="10" y1="11" x2="10" y2="17" />
              <line x1="14" y1="11" x2="14" y2="17" />
              <path d="M5 7l1 12a2 2 0 0 0 2 2h8a2 2 0 0 0 2 -2l1 -12" />
              <path d="M9 7v-3a1 1 0 0 1 1 -1h4a1 1 0 0 1 1 1v3" />
            </svg>
            Change Password
          </button>

          <button class="btn btn-warning m-1" type="submit" name="submit" value="edit">
            <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-edit" width="44" height="44" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round">
              <path stroke="none" d="M0 0h24v24H0z"/>
              <path d="M9 7 h-3a2 2 0 0 0 -2 2v9a2 2 0 0 0 2 2h9a2 2 0 0 0 2 -2v-3" />
              <path d="M9 15h3l8.5 -8.5a1.5 1.5 0 0 0 -3 -3l-8.5 8.5v3" />
              <line x1="16" y1="5" x2="19" y2="8" />
            </svg>
            Edit
          </button>

        </span>
      </form>
    </div>
  </div>
</div>

{% endblock content %}